# -*- coding: UTF-8 -*-
""" capellaScript -- Copyright (c) 2004-2008 Hartmut Ring
>>> XMLTest
<<<

<?xml version="1.0" encoding="UTF-8"?>
<info>
  <lang id="en">
    <title>XMLTest</title>
    <descr>
      <p>Test for XMLNode</p>
    </descr>
  </lang>
  <lang id="de">
    <title>XMLTest</title>
    <descr>
      <p>Test für XMLNode</p>
    </descr>
  </lang>
</info>
"""

english = { "Obsolete" : "Obsolete version!"}
german =  { "Obsolete" : "Veraltete Version!"}

try:
    setStringTable(
        ("en", english),
        ("de", german))
except:
    def tr(s):
        return german[s]
#-------------------------------------------------------------------

ver, sub, sr = capVersion()
messageBox('capella', 'Version %d.%02d-%02d' % (ver, sub, sr))

if capVersion() < (5, 0, 0):
    messageBox('capella', tr('Obsolete'))

if capVersion() >= (6, 99, 0):
    node = rootNode()
    mydict = node.getAttributes()
    messageBox('attributes:',str(mydict))
    child = node.getChildNode("layout", 0).getChildNodeI(0)
    messageBox('child', str(child))
    dict = child.getAttributes()
    messageBox('%s attributes:'%(child.getName()),str(dict))
    
